cc.funkemunky.api.utils

## Class BlockUtils

- java.lang.Object
- - cc.funkemunky.api.utils.BlockUtils

    public class BlockUtils
    extends java.lang.Object

### Field Summary

Fields
`static java.util.Map<java.lang.Integer,BlockBounds>` `blockBounds`
`static java.util.Map<org.bukkit.Material,BoundingBox>` `collisionBoundingBoxes`

### Constructor Summary

Constructors
Constructor and Description
`BlockUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.bukkit.Location` `findGround(org.bukkit.World world, org.bukkit.Location point)`
`static org.bukkit.block.Block` `getBlock(org.bukkit.Location location)`
`static java.util.List<BoundingBox>` `getBlockBoundingBox(org.bukkit.block.Block block)`
`static java.util.List<org.bukkit.block.Block>` `getBlocks(BoundingBox box, org.bukkit.World world)`
`static boolean` `isBed(org.bukkit.block.Block block)`
`static boolean` `isChest(org.bukkit.block.Block block)`
`static boolean` `isClimbableBlock(org.bukkit.block.Block block)`
`static boolean` `isDoor(org.bukkit.block.Block block)`
`static boolean` `isFence(org.bukkit.block.Block block)`
`static boolean` `isFenceGate(org.bukkit.block.Block block)`
`static boolean` `isIce(org.bukkit.block.Block block)`
`static boolean` `isLiquid(org.bukkit.block.Block block)`
`static boolean` `isPiston(org.bukkit.block.Block block)`
`static boolean` `isSlab(org.bukkit.block.Block block)`
`static boolean` `isSolid(org.bukkit.block.Block block)`
`static boolean` `isStair(org.bukkit.block.Block block)`
`static boolean` `isTool(org.bukkit.inventory.ItemStack stack)`
`static boolean` `isTrapDoor(org.bukkit.block.Block block)`
`static boolean` `isWall(org.bukkit.block.Block block)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### collisionBoundingBoxes

    public static java.util.Map<org.bukkit.Material,BoundingBox> collisionBoundingBoxes

#### blockBounds

    public static java.util.Map<java.lang.Integer,BlockBounds> blockBounds

### Constructor Detail

#### BlockUtils

    public BlockUtils()

### Method Detail

#### getBlock

    public static org.bukkit.block.Block getBlock(org.bukkit.Location location)

#### isSolid

    public static boolean isSolid(org.bukkit.block.Block block)

#### getBlockBoundingBox

    public static java.util.List<BoundingBox> getBlockBoundingBox(org.bukkit.block.Block block)

#### isLiquid

    public static boolean isLiquid(org.bukkit.block.Block block)

#### isClimbableBlock

    public static boolean isClimbableBlock(org.bukkit.block.Block block)

#### isIce

    public static boolean isIce(org.bukkit.block.Block block)

#### isFence

    public static boolean isFence(org.bukkit.block.Block block)

#### isDoor

    public static boolean isDoor(org.bukkit.block.Block block)

#### isBed

    public static boolean isBed(org.bukkit.block.Block block)

#### isTrapDoor

    public static boolean isTrapDoor(org.bukkit.block.Block block)

#### isChest

    public static boolean isChest(org.bukkit.block.Block block)

#### isWall

    public static boolean isWall(org.bukkit.block.Block block)

#### isPiston

    public static boolean isPiston(org.bukkit.block.Block block)

#### isFenceGate

    public static boolean isFenceGate(org.bukkit.block.Block block)

#### isStair

    public static boolean isStair(org.bukkit.block.Block block)

#### isSlab

    public static boolean isSlab(org.bukkit.block.Block block)

#### isTool

    public static boolean isTool(org.bukkit.inventory.ItemStack stack)

#### getBlocks

    public static java.util.List<org.bukkit.block.Block> getBlocks(BoundingBox box,
                                                                   org.bukkit.World world)

#### findGround

    public static org.bukkit.Location findGround(org.bukkit.World world,
                                                 org.bukkit.Location point)